Package ghidra.util.database

# Class FieldSpan.Domain

java.lang.Object
generic.End.EndDomain<Field,FieldSpan>
ghidra.util.database.FieldSpan.Domain

All Implemented Interfaces:
  `Span.Domain<End<Field>,FieldSpan>`

Enclosing interface:
  `FieldSpan`

public static class FieldSpan.Domain extends End.EndDomain<Field,FieldSpan>
The domain of field values, allowing open endpoints

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldSpan`
  `all()`
  Get the span containing all values in the domain
  `FieldSpan`
  `closed(End<Field> min, End<Field> max)`
  Create a new span with the given endpoints, inclusive.
  `FieldSpan`
  `empty()`
  Get the span that contains no value, nor has any endpoints
  `FieldSpan`
  `newSpan(End<Field> min, End<Field> max)`
  Factory method for a new span after arguments are validated

  ### Methods inherited from class generic.End.EndDomain

  `compare, dec, inc, max, min, toMaxString, toMinString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface generic.Span.Domain

  `atLeast, atMost, bound, encloses, intersect, intersects, max, min, subtract, toString, toString, toString, value`

- ## Method Details

  - ### closed

    public FieldSpan closed(End<Field> min, End<Field> max)
    Description copied from interface: `Span.Domain`
    Create a new span with the given endpoints, inclusive.
    Parameters:
      `min` - the lower endpoint
      `max` - the upper endpoint
    Returns:
      the span

  - ### newSpan

    public FieldSpan newSpan(End<Field> min, End<Field> max)
    Description copied from interface: `Span.Domain`
    Factory method for a new span after arguments are validated
    Parameters:
      `min` - the lower endpoint
      `max` - the upper endpoint
    Returns:
      the span

  - ### empty

    public FieldSpan empty()
    Description copied from interface: `Span.Domain`
    Get the span that contains no value, nor has any endpoints

    This span is returned when the result doesn't exist, e.g., when finding the intersection of spans which do not intersect.

    Returns:
      the empty span

  - ### all

    public FieldSpan all()
    Description copied from interface: `Span.Domain`
    Get the span containing all values in the domain
    Returns:
      the span